petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecMDot

Computes vector multiple dot products.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecMDot(Vec x,PetscInt nv,const Vec y[],PetscScalar val[])

Collective on Vec Many br

### Input Parameters

| x | - one vector Many br
| nv | - number of vectors Many br
| y | - array of vectors. Many br

### Output Parameter

val -array of the dot products (does not allocate the array) Many br

### Notes for Users of Complex Numbers

For complex vectors, VecMDot() computes Many br

        val = (x,y) = y^H x,

where y^H denotes the conjugate transpose of y. Many br

Use VecMTDot() for the indefinite form Many br

        val = (x,y) = y^T x,

where y^T denotes the transpose of y. Many br

Many br

### See Also

VecMTDot(), VecDot()

Level:intermediate
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex1f.F.html
src/vec/vec/examples/tutorials/ex1f90.F.html
src/vec/vec/examples/tutorials/ex20f90.F90.html